Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1344825 - Kernel 4.5.5 no longer registers MCE IR Keyboard/Mouse (cx88xx), licrd failing
Summary: Kernel 4.5.5 no longer registers MCE IR Keyboard/Mouse (cx88xx), licrd failing
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 23
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-11 09:35 UTC by Nigel Jewell
Modified: 2016-11-26 08:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-26 08:31:04 UTC
Type: Bug


Attachments (Terms of Use)
dmesg for 4.4.9 (72.75 KB, text/plain)
2016-06-11 09:35 UTC, Nigel Jewell
no flags Details
dmesg for 4.5.5 (71.16 KB, text/plain)
2016-06-11 09:36 UTC, Nigel Jewell
no flags Details

Description Nigel Jewell 2016-06-11 09:35:59 UTC
Created attachment 1166807 [details]
dmesg for 4.4.9

Description of problem:

Following an upgrade from kernel 4.4.9-300.fc23.x86_64 to kernel 4.5.5-201.fc23.x86_64 the MCE IR Keyboard/Mouse (cx88xx) inputs are no longer available.  This is stopping lircd functioning.

From 4.4.9-300.fc23.x86_64 dmesg:

4.4.9-300.fc23.x86_64:[    8.862724] input: cx88 IR (Hauppauge Nova-T DVB-T as /devices/pci0000:00/0000:00:1e.0/0000:04:02.0/rc/rc0/input3
4.4.9-300.fc23.x86_64:[    8.932443] input: MCE IR Keyboard/Mouse (cx88xx) as /devices/virtual/input/input4
4.4.9-300.fc23.x86_64:[    9.022340] input: cx88 IR (Hauppauge Nova-T DVB-T as /devices/pci0000:00/0000:00:1e.0/0000:04:03.0/rc/rc1/input5
4.4.9-300.fc23.x86_64:[    9.022515] input: MCE IR Keyboard/Mouse (cx88xx) as /devices/virtual/input/input6
4.4.9-300.fc23.x86_64:[    9.176853] input: cx88 IR (Hauppauge Nova-T DVB-T as /devices/pci0000:00/0000:00:1e.0/0000:04:04.0/rc/rc2/input7
4.4.9-300.fc23.x86_64:[    9.176963] input: MCE IR Keyboard/Mouse (cx88xx) as /devices/virtual/input/input8

From 4.5.5-201.fc23.x86_64 dmesg:

4.5.5-201.fc23.x86_64:[    8.799651] input: cx88 IR (Hauppauge Nova-T DVB-T as /devices/pci0000:00/0000:00:1e.0/0000:04:02.0/rc/rc0/input10
4.5.5-201.fc23.x86_64:[    8.954035] input: cx88 IR (Hauppauge Nova-T DVB-T as /devices/pci0000:00/0000:00:1e.0/0000:04:03.2/rc/rc1/input11
4.5.5-201.fc23.x86_64:[    9.109235] input: cx88 IR (Hauppauge Nova-T DVB-T as /devices/pci0000:00/0000:00:1e.0/0000:04:04.2/rc/rc2/input12

Version-Release number of selected component (if applicable):

4.5.5-201.fc23.x86_64

How reproducible:

Always in 4.5.5-201.fc23.x86_64

Steps to Reproduce:
1. Install kernel 4.5.5-201.fc23.x86_64
2. Reboot

Actual results:

Inputs missing

Expected results:

Inputs present (as 4.4.9-300.fc23.x86_64)

Additional info:

Comment 1 Nigel Jewell 2016-06-11 09:36:27 UTC
Created attachment 1166808 [details]
dmesg for 4.5.5

Comment 2 Nigel Jewell 2016-06-11 09:37:17 UTC
I am seeing the same with kernel-4.5.6-200.fc23.x86_64.

Comment 3 Nigel Jewell 2016-06-19 06:34:57 UTC
Related to bug 1344868?

Comment 4 Laura Abbott 2016-09-23 19:29:01 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.

Comment 5 Fedora End Of Life 2016-11-25 09:16:28 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.